<?php

namespace Glmdev\Meta;

use Glmdev\Meta\Contracts\MetaContract;
use Illuminate\Support\ServiceProvider;

class MetaServiceProvider extends ServiceProvider
{
    /**
     * Indicates if loading of the provider is deferred.
     *
     * @var bool
     */
    protected $defer = false;
    
    protected $commands = [
        '\Glmdev\Meta\Commands\MetaMigrationCommand',
    ];
    
    public function boot(){
        
    }
    
    /**
     * Register any package services.
     *
     * @return void
     */
    public function register()
    {
        // die('gtest2');

        $loader = \Illuminate\Foundation\AliasLoader::getInstance();
        $loader->alias('Meta', 'Glmdev\Meta\Meta');
        
        $this->commands($this->commands);
        
        

    }
    
    public static function hello(){return "Hello!";}
}
